## numexpr 2.6.9

=== requirements.txt ===
numpy>=1.7

=== debian/changelog ===
numexpr (2.6.9-1) unstable; urgency=medium

  * New upstream release.
  * Standard version bumped to 4.3.0, no change.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 30 Dec 2018 10:02:17 +0000

=== debian/control ===
Source: numexpr
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Wen Heping <wenheping@gmail.com>,
           Antonio Valentino <antonio.valentino@tiscali.it>,
           Yaroslav Halchenko <debian@onerussian.com>
Section: python
Priority: optional
Build-Depends: debhelper (>= 11),
               dh-python,
               python-all-dev,
               python-all-dbg,
               python3-all-dev,
               python3-all-dbg,
               python-setuptools,
               python3-setuptools,
               python-numpy,
               python-numpy-dbg,
               python3-numpy,
               python3-numpy-dbg
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/science-team/numexpr
Vcs-Git: https://salsa.debian.org/science-team/numexpr.git
Homepage: https://github.com/pydata/numexpr

Package: python-numexpr
Architecture: any
Depends: ${python:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         python-pkg-resources
Description: Fast numerical array expression evaluator for Python and NumPy
 Numexpr package evaluates multiple-operator array expressions many
 times faster than NumPy can. It accepts the expression as a string,
 analyzes it, rewrites it more efficiently, and compiles it to faster
 Python code on the fly. It's the next best thing to writing the
 expression in C and compiling it with a specialized just-in-time
 (JIT) compiler, i.e. it does not require a compiler at runtime.
 .
 This is the Python 2 version of the package.

Package: python-numexpr-dbg
Architecture: any
Section: debug
Depends: ${python:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         python-numexpr (= ${binary:Version}),
         python-dbg,
         python-numpy-dbg
Description: Fast numerical array expression evaluator for Python and NumPy (debug ext)
 Numexpr package evaluates multiple-operator array expressions many
 times faster than NumPy can. It accepts the expression as a string,
 analyzes it, rewrites it more efficiently, and compiles it to faster
 Python code on the fly. It's the next best thing to writing the
 expression in C and compiling it with a specialized just-in-time
 (JIT) compiler, i.e. it does not require a compiler at runtime.
 .
 This package contains the extension built for the Python 2 debug
 interpreter.

Package: python3-numexpr
Architecture: any
Depends: ${python3:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         python3-pkg-resources
Description: Fast numerical array expression evaluator for Python 3 and NumPy
 Numexpr package evaluates multiple-operator array expressions many
 times faster than NumPy can. It accepts the expression as a string,
 analyzes it, rewrites it more efficiently, and compiles it to faster
 Python code on the fly. It's the next best thing to writing the
 expression in C and compiling it with a specialized just-in-time
 (JIT) compiler, i.e. it does not require a compiler at runtime.
 .
 This package contains numexpr for Python 3.

Package: python3-numexpr-dbg
Architecture: any
Section: debug
Depends: ${python3:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         python3-numexpr (= ${binary:Version}),
         python3-dbg,
         python3-numpy-dbg
Description: Fast numerical array expression evaluator for Python 3 and NumPy (debug ext)
 Numexpr package evaluates multiple-operator array expressions many
 times faster than NumPy can. It accepts the expression as a string,
 analyzes it, rewrites it more efficiently, and compiles it to faster
 Python code on the fly. It's the next best thing to writing the
 expression in C and compiling it with a specialized just-in-time
 (JIT) compiler, i.e. it does not require a compiler at runtime.
 .
 This package contains the extension built for the Python 3 debug
 interpreter.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export PYBUILD_NAME=numexpr
export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie

# Get the supported Python versions
PY2VERS = $(shell pyversions -r -v)
PY3VERS = $(shell py3versions -r -v)

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
export CFLAGS ?= -O0
endif


%:
	dh $@ --with python2,python3 --buildsystem=pybuild


override_dh_gencontrol:
	dh_numpy
	dh_numpy3
	dh_gencontrol


override_dh_strip:
	dh_strip -ppython-numexpr  --dbg-package=python-numexpr-dbg
	dh_strip -ppython3-numexpr --dbg-package=python3-numexpr-dbg


override_dh_auto_clean:
	dh_auto_clean
	$(RM) -r build/ numexpr.egg-info/


override_dh_installchangelogs:
	dh_installchangelogs -k RELEASE_NOTES.rst


.PHONY: override_dh_gencontrol override_dh_strip override_dh_auto_clean \
        override_dh_installchangelogs

## numexpr 2.7.0

=== debian/changelog ===
numexpr (2.7.0-1build1) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 18 Oct 2019 18:32:57 +0000

numexpr (2.7.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - new 0001-Use-the-corrent-interpreter-for-testing.patch

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 16 Aug 2019 05:28:05 +0000

numexpr (2.6.9-2) unstable; urgency=medium

  * Set compat to 12.
  * Standard version bumped to 4.4.0 (no change).
  * debian/rules:
    - drop "-pie" form hardening flags

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 04 Aug 2019 06:47:41 +0000

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 export PYBUILD_NAME=numexpr
-export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 # Get the supported Python versions
 PY2VERS = $(shell pyversions -r -v)

## numexpr 2.7.1

=== debian/changelog ===
numexpr (2.7.1-1build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:44:34 +0100

numexpr (2.7.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - drop 0001-Use-the-corrent-interpreter-for-testing.patch,
      applied upstream

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 05 Jan 2020 21:45:02 +0000

numexpr (2.7.0-2) unstable; urgency=medium

  * debian/control:
    - explicitly set Rules-Requires-Root: no
  * Update standards version to 4.4.1, no changes needed.
  * Remove obsolete fields Name from debian/upstream/metadata.
  * Fix day-of-week for changelog entries 1.3.1-2, 1.3.1-1.
  * Replace deprecated ADTTMP with AUTOPKGTEST_TMP in debian/test/python*
  * Drop python2 support (Closes: #937167).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 18 Dec 2019 07:19:39 +0000

=== debian/control ===
Source: numexpr
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Wen Heping <wenheping@gmail.com>,
           Antonio Valentino <antonio.valentino@tiscali.it>,
           Yaroslav Halchenko <debian@onerussian.com>
Section: python
Priority: optional
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all-dev,
               python3-all-dbg,
               python3-setuptools,
               python3-numpy,
               python3-numpy-dbg
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/science-team/numexpr
Vcs-Git: https://salsa.debian.org/science-team/numexpr.git
Homepage: https://github.com/pydata/numexpr

Package: python3-numexpr
Architecture: any
Depends: ${python3:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         python3-pkg-resources
Description: Fast numerical array expression evaluator for Python 3 and NumPy
 Numexpr package evaluates multiple-operator array expressions many
 times faster than NumPy can. It accepts the expression as a string,
 analyzes it, rewrites it more efficiently, and compiles it to faster
 Python code on the fly. It's the next best thing to writing the
 expression in C and compiling it with a specialized just-in-time
 (JIT) compiler, i.e. it does not require a compiler at runtime.
 .
 This package contains numexpr for Python 3.

Package: python3-numexpr-dbg
Architecture: any
Section: debug
Depends: ${python3:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         python3-numexpr (= ${binary:Version}),
         python3-dbg,
         python3-numpy-dbg
Description: Fast numerical array expression evaluator for Python 3 and NumPy (debug ext)
 Numexpr package evaluates multiple-operator array expressions many
 times faster than NumPy can. It accepts the expression as a string,
 analyzes it, rewrites it more efficiently, and compiles it to faster
 Python code on the fly. It's the next best thing to writing the
 expression in C and compiling it with a specialized just-in-time
 (JIT) compiler, i.e. it does not require a compiler at runtime.
 .
 This package contains the extension built for the Python 3 debug
 interpreter.

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,6 @@
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 # Get the supported Python versions
-PY2VERS = $(shell pyversions -r -v)
 PY3VERS = $(shell py3versions -r -v)
 
 ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
@@ -16,17 +15,15 @@
 
 
 %:
-	dh $@ --with python2,python3 --buildsystem=pybuild
+	dh $@ --with python3 --buildsystem=pybuild
 
 
 override_dh_gencontrol:
-	dh_numpy
 	dh_numpy3
 	dh_gencontrol
 
 
 override_dh_strip:
-	dh_strip -ppython-numexpr  --dbg-package=python-numexpr-dbg
 	dh_strip -ppython3-numexpr --dbg-package=python3-numexpr-dbg

=== debian/tests/control ===
Tests: python3,
       python3-dbg
Depends: python3-numexpr,
         python3-all,
         python3-numexpr-dbg,
         python3-all-dbg

## numexpr 2.7.2

=== debian/changelog ===
numexpr (2.7.2-2) unstable; urgency=medium

  * debian/patches:
    - new 0001-Fix-tests-on-sparc64.patch.
      It is a backport of an upstream fix and only
      impacts the test code, no changes in the library code.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 13 Feb 2021 07:36:03 +0000

numexpr (2.7.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - add Testsuite: autopkgtest-pkg-python
  * Updated debian/copyright file.
  * Update standards version to 4.5.1, no changes needed.
  * Updated watch file.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 30 Dec 2020 08:13:02 +0000

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
            Yaroslav Halchenko <debian@onerussian.com>
 Section: python
 Priority: optional
+Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 12),
                dh-python,
@@ -13,7 +14,7 @@
                python3-setuptools,
                python3-numpy,
                python3-numpy-dbg
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/science-team/numexpr
 Vcs-Git: https://salsa.debian.org/science-team/numexpr.git
 Homepage: https://github.com/pydata/numexpr

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/numexpr-$1\.tar\.gz/ \
  https://github.com/pydata/numexpr/tags .*/v?(\d\S+)\.tar\.gz

## numexpr 2.7.3

=== debian/changelog ===
numexpr (2.7.3-2) unstable; urgency=medium

  * Standards version bumped to 4.6.0 (no chenges).
  * Drop the -dbg package (Closes: 994314).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 26 Sep 2021 08:53:14 +0000

numexpr (2.7.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - drop 0001-Fix-tests-on-sparc64.patch, applied upstream
  * debian/rules:
    - update clean tergat

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 29 Aug 2021 17:42:17 +0000

=== debian/control ===
Source: numexpr
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Wen Heping <wenheping@gmail.com>,
           Antonio Valentino <antonio.valentino@tiscali.it>,
           Yaroslav Halchenko <debian@onerussian.com>
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all-dev,
               python3-setuptools,
               python3-numpy,
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/science-team/numexpr
Vcs-Git: https://salsa.debian.org/science-team/numexpr.git
Homepage: https://github.com/pydata/numexpr
Rules-Requires-Root: no

Package: python3-numexpr
Architecture: any
Depends: ${python3:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         python3-pkg-resources
Description: Fast numerical array expression evaluator for Python 3 and NumPy
 Numexpr package evaluates multiple-operator array expressions many
 times faster than NumPy can. It accepts the expression as a string,
 analyzes it, rewrites it more efficiently, and compiles it to faster
 Python code on the fly. It's the next best thing to writing the
 expression in C and compiling it with a specialized just-in-time
 (JIT) compiler, i.e. it does not require a compiler at runtime.
 .
 This package contains numexpr for Python 3.

## numexpr 2.8.0

=== debian/changelog ===
numexpr (2.8.0-2) unstable; urgency=medium

  * debian/control:
    - drop dependency on pkg-resources (no longer necessary)
    - add dependency on setuptools
      (see https://github.com/pydata/numexpr/issues/391).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 02 Dec 2021 19:09:29 +0000

numexpr (2.8.0-1) unstable; urgency=medium

  * New upstream release.
  * Remove unnused d/tests/python3-dbg.
  * debian/watch:
    - only scan for new versions of the 2.x series.
  * Update the d/copyright file.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 02 Dec 2021 07:35:02 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                dh-python,
                python3-all-dev,
                python3-setuptools,
-               python3-numpy,
+               python3-numpy
 Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/science-team/numexpr
 Vcs-Git: https://salsa.debian.org/science-team/numexpr.git
@@ -22,7 +22,7 @@
 Depends: ${python3:Depends},
          ${shlibs:Depends},
          ${misc:Depends},
-         python3-pkg-resources
+         python3-setuptools
 Description: Fast numerical array expression evaluator for Python 3 and NumPy
  Numexpr package evaluates multiple-operator array expressions many
  times faster than NumPy can. It accepts the expression as a string,

## numexpr 2.8.1

=== doc/requirements.txt ===
numpy>=1.7
numpydoc

=== debian/changelog ===
numexpr (2.8.1-1build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 23:50:53 +0000

numexpr (2.8.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - update dependencies (python3-packaging added).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 11 Dec 2021 14:02:58 +0000

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
 Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3-all-dev,
+               python3-packaging,
                python3-setuptools,
                python3-numpy
 Standards-Version: 4.6.0
@@ -22,7 +23,7 @@
 Depends: ${python3:Depends},
          ${shlibs:Depends},
          ${misc:Depends},
-         python3-setuptools
+         python3-packaging
 Description: Fast numerical array expression evaluator for Python 3 and NumPy
  Numexpr package evaluates multiple-operator array expressions many
  times faster than NumPy can. It accepts the expression as a string,

## numexpr 2.8.2

=== debian/changelog ===
numexpr (2.8.2-1) unstable; urgency=medium

  * New upstream release.
  * Standard version bumped to 4.6.1, no changes.
  * debian/tests:
    - autopkgtest all supported python versions.
  * debian/contril:
    - build-depend on pybuild-plugin-pyproject.
  * Update d/copyright.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 24 Jun 2022 06:28:05 +0000

## numexpr 2.8.3

=== requirements.txt ===
numpy >= 1.13.3
packaging

=== debian/changelog ===
numexpr (2.8.3-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 01 Jul 2022 17:49:47 +0000

=== debian/control ===
--- 
+++ 
@@ -8,11 +8,12 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 12),
                dh-python,
+               pybuild-plugin-pyproject,
                python3-all-dev,
                python3-packaging,
                python3-setuptools,
                python3-numpy
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/science-team/numexpr
 Vcs-Git: https://salsa.debian.org/science-team/numexpr.git
 Homepage: https://github.com/pydata/numexpr

## numexpr 2.8.4

=== requirements.txt ===
numpy >= 1.13.3

=== debian/changelog ===
numexpr (2.8.4-1) unstable; urgency=medium

  * New upstream release.
  * Fix d/copyright formatting.
  * Update d/copyright.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 29 Oct 2022 14:37:58 +0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1
export PYBUILD_NAME=numexpr
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

# Get the supported Python versions
PY3VERS = $(shell py3versions -r -v)

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
export CFLAGS ?= -O0
endif


%:
	dh $@ --with python3 --buildsystem=pybuild


override_dh_gencontrol:
	dh_numpy3
	dh_gencontrol


override_dh_auto_clean:
	dh_auto_clean
	$(RM) -r build/ numexpr.egg-info/
	$(RM) numexpr/version.py


override_dh_installchangelogs:
	dh_installchangelogs -k RELEASE_NOTES.rst


.PHONY: override_dh_gencontrol override_dh_auto_clean \
        override_dh_installchangelogs

=== debian/tests/control ===
Tests: python3
Depends: python3-numexpr,
         python3-all

## numexpr 2.8.5

=== debian/changelog ===
numexpr (2.8.5-3) unstable; urgency=medium

  * debian/patches:
    - Improve d/patches/1049326_sanitize_fix.patch
      (patch provided by Rebecca N. Palmer).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 18 Aug 2023 06:14:31 +0000

numexpr (2.8.5-2) unstable; urgency=medium

  [ Rebecca N. Palmer ]
  * Loosen input sanitization to not break pandas.  (Closes: #1049326)

  [ Antonio Valentino ]
  * debian/control:
    - Minor update to the package description.
  * Use d/clean instead of overriding targets in d/rules.
  * Switch to dh-sequence-*.
  * New d/python3-numexpr.lintian-overrides.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 17 Aug 2023 07:38:32 +0000

numexpr (2.8.5-1) unstable; urgency=medium

  * New upstream release.
  * Standards version bumped to 4.6.2 (no changes).
  * Bump debhelper-compat version to 13.
  * Add build dependency on dh-sequence-numpy3.
  * Switch to autopkgtest-pkg-pybuild and drop the no longer
    needed d/tests folder.
  * Update dates in d/copyright.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 07 Aug 2023 05:43:06 +0000

## numexpr 2.8.7

=== debian/changelog ===
numexpr (2.8.7-1build1) noble; urgency=medium

  * No-change rebuild to build with python3.12 as supported.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 01 Nov 2023 19:02:11 +0100

numexpr (2.8.7-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - Remove 0001-Fix-scientific-notation.patch and
      0002-Fix-sanitization.patch, applied upstream.
  * Update d/copyright.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 01 Oct 2023 06:59:06 +0000

numexpr (2.8.6-4) unstable; urgency=medium

  * debian/patches:
    - Drop 0001-Set-sanotize-to-False-by-default.patch.
      Closes: #1052454.
    - New 0001-Fix-scientific-notation.patch.
    - New 0002-Fix-sanitization.patch.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 23 Sep 2023 09:16:47 +0000

numexpr (2.8.6-3) unstable; urgency=medium

  * debian/patches:
    - Improve 0001-Set-sanotize-to-False-by-default.patch.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 22 Sep 2023 11:00:57 +0000

numexpr (2.8.6-2) unstable; urgency=medium

  * debian/patches:
    - New 0001-Set-sanotize-to-False-by-default.patch.
      Ensure backward compatibility.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 22 Sep 2023 06:18:55 +0000

numexpr (2.8.6-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - drop 1049326_sanitize_fix.patch (applied upstream).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 16 Sep 2023 13:07:39 +0000

## numexpr 2.8.8

=== debian/changelog ===
numexpr (2.8.8-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 16 Dec 2023 07:21:47 +0000

## numexpr 2.9.0

=== debian/changelog ===
numexpr (2.9.0-1build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 11 Apr 2024 09:37:21 +0000

numexpr (2.9.0-1) unstable; urgency=medium

  * New upstream release.
  * Update dates in d/copyright.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 27 Jan 2024 10:24:15 +0000

=== debian/control ===
--- 
+++ 
@@ -4,16 +4,18 @@
            Antonio Valentino <antonio.valentino@tiscali.it>,
            Yaroslav Halchenko <debian@onerussian.com>
 Section: python
-Testsuite: autopkgtest-pkg-python
+Testsuite: autopkgtest-pkg-pybuild
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
+               dh-sequence-numpy3,
+               dh-sequence-python3,
                pybuild-plugin-pyproject,
                python3-all-dev,
                python3-packaging,
                python3-setuptools,
                python3-numpy
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/science-team/numexpr
 Vcs-Git: https://salsa.debian.org/science-team/numexpr.git
 Homepage: https://github.com/pydata/numexpr
@@ -32,5 +34,3 @@
  Python code on the fly. It's the next best thing to writing the
  expression in C and compiling it with a specialized just-in-time
  (JIT) compiler, i.e. it does not require a compiler at runtime.
- .
- This package contains numexpr for Python 3.

## numexpr 2.10.0

=== requirements.txt ===
numpy >= 1.19.3 # keep in sync with NPY_TARGET_VERSION (setup.py)

=== debian/changelog ===
numexpr (2.10.0-2) unstable; urgency=medium

  * debian/patches:
    - New 0002-Fix-nthreads-test.patch.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 04 May 2024 07:15:05 +0000

numexpr (2.10.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - New 0001-Compatibility-with-numpy-2.0.patch.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 06 Apr 2024 15:10:42 +0000

## numexpr 2.10.1

=== debian/changelog ===
numexpr (2.10.1-2) unstable; urgency=medium

  * debian/patches:
    - New 0002-Fix-test_max_threads_unset.patch (Closes: #1074145).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 24 Jun 2024 18:25:24 +0000

numexpr (2.10.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - Drop 0002-Fix-nthreads-test.patch, applied upstream.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 23 Jun 2024 15:40:01 +0000

## numexpr 2.10.2

=== requirements.txt ===
numpy >= 1.23.0 # keep in sync with NPY_TARGET_VERSION (setup.py)

=== debian/changelog ===
numexpr (2.10.2-1build3) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 19 Oct 2025 12:12:04 +0000

numexpr (2.10.2-1build2) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 19:59:57 +0000

numexpr (2.10.2-1build1) plucky; urgency=medium

  * No-change rebuild against python3-numpy2-abi0

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 28 Jan 2025 11:31:02 +0000

numexpr (2.10.2-1) unstable; urgency=medium

  * New upstream release.
  * Standards version bumped to 4.7.0, no changes.
  * debian/patches:
    - Drop 0002-Fix-test_max_threads_unset.patch, applied upstream.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 27 Nov 2024 07:09:51 +0000

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/numexpr-$1\.tar\.gz/ \
  https://github.com/pydata/numexpr/tags .*/v?(2\S+)\.tar\.gz

## numexpr 2.11.0

=== debian/changelog ===
numexpr (2.11.0-1) unstable; urgency=medium

  * New upstream release.
  * STandards version bumped to 4.7.2, no changes.
  * Update dates in d/copyright.
  * debian/patches:
    - Refresh all patches.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 09 Aug 2025 08:09:07 +0000

## numexpr 2.12.1

=== debian/changelog ===
numexpr (2.12.1-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 17 Sep 2025 22:13:17 +0000

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                python3-packaging,
                python3-setuptools,
                python3-numpy
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/science-team/numexpr
 Vcs-Git: https://salsa.debian.org/science-team/numexpr.git
 Homepage: https://github.com/pydata/numexpr

## numexpr 2.13.0

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    = -n -v -v
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  epub3      to make an epub3"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"
	@echo "  dummy      to check syntax errors of document sources"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/numexpr3.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/numexpr3.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/numexpr3"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/numexpr3"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: epub3
epub3:
	$(SPHINXBUILD) -b epub3 $(ALLSPHINXOPTS) $(BUILDDIR)/epub3
	@echo
	@echo "Build finished. The epub3 file is in $(BUILDDIR)/epub3."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

.PHONY: dummy
dummy:
	$(SPHINXBUILD) -b dummy $(ALLSPHINXOPTS) $(BUILDDIR)/dummy
	@echo
	@echo "Build finished. Dummy builder generates no files."

=== debian/changelog ===
numexpr (2.13.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - Drop 0001-Compatibility-with-numpy-2.0.patch,
      no longer needed.
  * debian/control:
    - Drop "Rules-Requires-Root: no", no longer needed.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 28 Sep 2025 06:58:36 +0000

## numexpr 2.14.1

=== requirements.txt ===
numpy >= 1.26.0 # keep in sync with NPY_TARGET_VERSION (setup.py)

=== doc/requirements.txt ===
sphinx == 6.2.1
numpy >= 1.13.3
sphinx-rtd-theme == 1.2.2
numpydoc == 1.5.0

=== debian/changelog ===
numexpr (2.14.1-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 23 Oct 2025 05:58:02 +0000

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,6 @@
 Vcs-Browser: https://salsa.debian.org/science-team/numexpr
 Vcs-Git: https://salsa.debian.org/science-team/numexpr.git
 Homepage: https://github.com/pydata/numexpr
-Rules-Requires-Root: no
 
 Package: python3-numexpr
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1
export PYBUILD_NAME=numexpr
export PYBUILD_TEST_CUSTOM=1
export PYBUILD_TEST_ARGS=\
env PYTHONPATH={build_dir} \
{interpreter} -c "import ${PYBUILD_NAME}, sys; r=${PYBUILD_NAME}.test(); sys.exit(0 if r.wasSuccessful() else 1)"
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
export CFLAGS ?= -O0
endif


%:
	dh $@ --buildsystem=pybuild


override_dh_installchangelogs:
	dh_installchangelogs -k RELEASE_NOTES.rst
